package com.xjrsoft.module.classtime.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.Date;


/**
* @title: 课时删除
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
@TableName("class_time_delete")
@ApiModel(value = "class_time_delete", description = "课时删除")
public class ClassTimeDelete implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 删除类型(xjr_dictionary_item[class_time_delete])
    */
    @ApiModelProperty("删除类型(xjr_dictionary_item[class_time_delete])")
    private String type;
    /**
    * 类别(1:权重 2:费用设置)
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 删除说明
    */
    @ApiModelProperty("删除说明")
    private String remark;
    /**
    * 开始日期
    */
    @ApiModelProperty("开始日期")
    private LocalDate startDate;
    /**
    * 结束日期
    */
    @ApiModelProperty("结束日期")
    private LocalDate endDate;

    @ApiModelProperty("状态(0:生效 1:锁定 2:作废)")
    private Integer status;


}