package com.xjrsoft.module.classtime.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.Date;


/**
* @title: 课时统计
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
@TableName("class_time_statistics")
@ApiModel(value = "class_time_statistics", description = "课时统计")
public class ClassTimeStatistics implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 统计年份
    */
    @ApiModelProperty("统计年份")
    private Integer year;
    /**
    * 统计月份
    */
    @ApiModelProperty("统计月份")
    private Integer month;
    /**
    * 开始日期
    */
    @ApiModelProperty("开始日期")
    private LocalDate startDate;
    /**
    * 结束日期
    */
    @ApiModelProperty("结束日期")
    private LocalDate endDate;
    /**
    * 总课时
    */
    @ApiModelProperty("总课时")
    private Double allClassTime;
    /**
    * 总金额
    */
    @ApiModelProperty("总金额")
    private Double totalAmount;
    /**
    * 总课时费用
    */
    @ApiModelProperty("总课时费用")
    private Double classTimeAmount;
    /**
    * 总外聘教师超课时费
    */
    @ApiModelProperty("总外聘教师超课时费")
    private Double beyondClassTimeAmount;
    /**
    * 状态(0:数据统计中 1:统计完成 2:已解锁 3:已锁定)
    */
    @ApiModelProperty("状态(0:数据统计中 1:统计完成 2:已解锁 3:已锁定)")
    private Integer status;

    /**
     * 权重json
     */
    @ApiModelProperty("权重json")
    private String weightSetJson;
    /**
     * 权重json
     */
    @ApiModelProperty("权重json")
    private String costSetJson;


}