package com.xjrsoft.module.classtime.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 课时统计-教师详情
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
@TableName("class_time_statistics_record")
@ApiModel(value = "class_time_statistics_record", description = "课时统计-教师详情")
public class ClassTimeStatisticsRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 课时统计(class_time_statistics)
    */
    @ApiModelProperty("课时统计(class_time_statistics)")
    private Long classTimeStatisticsId;
    /**
    * 教师id(xjr_user)
    */
    @ApiModelProperty("教师id(xjr_user)")
    private Long userId;
    /**
    * 聘用类型
    */
    @ApiModelProperty("聘用类型")
    private String employType;
    /**
    * 总课时
    */
    @ApiModelProperty("总课时")
    private Double allClassTime;
    /**
    * 总金额
    */
    @ApiModelProperty("总金额")
    private Double totalAmount;
    /**
    * 课时费用
    */
    @ApiModelProperty("课时费用")
    private Double classTimeAmount;
    /**
    * 外聘教师超课时费
    */
    @ApiModelProperty("外聘教师超课时费")
    private Double beyondClassTimeAmount;
    /**
    * 每周数据
    */
    @ApiModelProperty("每周数据")
    private String weekData;
    /**
    * 教研会
    */
    @ApiModelProperty("教研会")
    private Double classTime1;
    /**
    * 督导听课
    */
    @ApiModelProperty("督导听课")
    private Double classTime2;
    /**
    * 临近三年退休政策
    */
    @ApiModelProperty("临近三年退休政策")
    private Double classTime3;
    /**
    * 出题
    */
    @ApiModelProperty("出题")
    private Double classTime4;
    /**
    * 阅卷
    */
    @ApiModelProperty("阅卷")
    private Double classTime5;
    /**
    * 周末培优
    */
    @ApiModelProperty("周末培优")
    private Double classTime6;
    /**
    * 早自习
    */
    @ApiModelProperty("早自习")
    private Double classTime7;
    /**
    * 正课(包含调顶课时)
    */
    @ApiModelProperty("正课(包含调顶课时)")
    private Double classTime8;
    /**
    * 晚辅(包含调顶课时)
    */
    @ApiModelProperty("晚辅(包含调顶课时)")
    private Double classTime9;
    /**
    * 顶课
    */
    @ApiModelProperty("顶课")
    private Double classTime10;
    /**
    * 调课
    */
    @ApiModelProperty("调课")
    private Double classTime11;

    @ApiModelProperty("总课时数据")
    private String allClassTimeData;
}