package com.xjrsoft.module.classtime.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 课时统计表单出参
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
public class ClassTimeStatisticsVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 统计年份
    */
    @ApiModelProperty("统计年份")
    private Integer year;
    /**
    * 统计月份
    */
    @ApiModelProperty("统计月份")
    private Integer month;
    /**
    * 开始日期
    */
    @ApiModelProperty("开始日期")
    private Date startDate;
    /**
    * 结束日期
    */
    @ApiModelProperty("结束日期")
    private Date endDate;
    /**
    * 总课时
    */
    @ApiModelProperty("总课时")
    private Double allClassTime;
    /**
    * 总金额
    */
    @ApiModelProperty("总金额")
    private Double totalAmount;
    /**
    * 总课时费用
    */
    @ApiModelProperty("总课时费用")
    private Double classTimeAmount;
    /**
    * 总外聘教师超课时费
    */
    @ApiModelProperty("总外聘教师超课时费")
    private Double beyondClassTimeAmount;
    /**
    * 状态(0:已解锁 1：已锁定)
    */
    @ApiModelProperty("状态(0:已解锁 1：已锁定)")
    private Integer status;

    /**
     * 权重json
     */
    @ApiModelProperty("权重json")
    private String weightSetJson;
    /**
     * 权重json
     */
    @ApiModelProperty("权重json")
    private String costSetJson;
}
