package com.xjrsoft.module.oa.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;


/**
* @title: 课时补充
* @Author dzx
* @Date: 2024年9月27日
* @Version 1.0
*/
@Data
@TableName("wf_teacher_course_time")
@ApiModel(value = "wf_teacher_course_time", description = "课时补充")
public class WfTeacherCourseTime implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("")
    @TableId
    private Long id;

    @ApiModelProperty("教师(xjr_user)")
    private Long applyUserId;

    @ApiModelProperty("部门id(xjr_department)")
    private Long deptId;

    @ApiModelProperty("课时类型(xjr_dictionary_item[course_time_type])")
    private String courseTimeType;

    @ApiModelProperty("补充课时")
    private Double courseTime;

    @ApiModelProperty("上课日期")
    private LocalDate scheduleDate;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("说明")
    private String explains;

    @ApiModelProperty("补课人员")
    private String teacherIds;
}