package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.text.DateFormat;
import java.time.LocalDate;
import java.util.Date;



/**
* @title: 学生班级巡查考核
* @Author dzx
* @Date: 2023-11-16
* @Version 1.0
*/
@Data
public class AddBaseStudentAssessmentInspectionDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    @ApiModelProperty("学生考核项目编号（base_student_assessment_category）")
    private Long baseStudentAssessmentCategoryId;
    /**
     * 班级考核项目编号（base_student_assessment_project）
     */
    @ApiModelProperty("班级考核项目编号（base_student_assessment_project）")
    private Long baseStudentAssessmentProjectId;
    /**
     * 学期ID(base_semester)
     */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
     * 入学年级(base_grade)
     */
    @ApiModelProperty("入学年级(base_grade)")
    private Long gradeId;
    /**
     * 班级Ids(多选)
     */
    @ApiModelProperty("班级Ids(多选)")
    private String classIds;
    /**
     * 学生Ids(多选)
     */
    @ApiModelProperty("学生Ids(多选)")
    private String studentUserIds;
    /**
     * 考核时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("考核时间")
    private LocalDate assessmentDate;
    /**
     * 分数
     */
    @ApiModelProperty("分数")
    private Double score;
    /**
     * 分数类型(xjr_dictionary_item[score_type])
     */
    @ApiModelProperty("分数类型(xjr_dictionary_item[score_type])")
    private String scoreType;
    /**
     * 考核用户ID(xjr_user)
     */
    @ApiModelProperty("考核用户ID(xjr_user)")
    private Long assessmentUserId;
    /**
     * 原因
     */
    @ApiModelProperty("原因")
    private String reason;
    /**
     * 文件ID(xjr_file)
     */
    @ApiModelProperty("文件ID(xjr_file)")
    private Long fileId;
    /**
     * 状态（1:结束 0:未结束）
     */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;

    /**
     * 考核对象
     */
    @ApiModelProperty("考核对象")
    private String assessmentType;

    @ApiModelProperty("学生考核项目编号(base_student_assessment_item主键)")
    private Long baseStudentAssessmentItemId;

}
